.tarjeta-container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  cursor: pointer;
  overflow: hidden;
  border-radius: var(--border-radius-card);
  background-color: rgba(32, 30, 30, 0.6);
  background-size: cover;
  background-blend-mode: soft-light;
  box-shadow: var(--box-shadow-card-3);
  transition: transform 0.3s ease;
}

.tarjeta-container:hover{
  left: 0;
  transform: scale(1.02);
}

.tarjeta-container .nombre {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 22px;
  font-weight: bold;
  color: white;
}

.tarjeta-container .animacion {
  position: absolute;
  top: -20%;
  right: -90%;
  width: 40rem;
  height: 100px;
  background-color: rgba(255, 255, 255, 0.8);
  transform: rotate(45deg);
  transition: all 0.8s ease;
}

.tarjeta-container:hover .animacion{
  top: 75%;
  right: 100%;
}

@media (300px < width < 750px) {
  .tarjeta-container .animacion {
    display: none;
  }
}
